Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Codeset_Registry Class Reference

`#include <Codeset_Registry.h>`

Collaboration diagram for ACE_Codeset_Registry:

[legend]
List of all members.

## Public Types
enum | { max_charsets_ = 5 }
## Static Public Methods
int | locale_to_registry (const ACE_CString &locale, ACE_CDR::ULong &codeset_id, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | registry_to_locale (ACE_CDR::ULong codeset_id, ACE_CString &locale, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | is_compatible (ACE_CDR::ULong codeset_id, ACE_CDR::ULong other)
ACE_CDR::Short | get_max_bytes (ACE_CDR::ULong codeset_id)
## Static Private Methods
int | locale_to_registry_i (const ACE_CString &locale, ACE_CDR::ULong &codeset_id, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | registry_to_locale_i (ACE_CDR::ULong codeset_id, ACE_CString &locale, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | is_compatible_i (ACE_CDR::ULong codeset_id, ACE_CDR::ULong other)
ACE_CDR::Short | get_max_bytes_i (ACE_CDR::ULong codeset_id)
## Static Private Attributes
size_t | num_registry_entries_ = 4
registry_entry | registry_db_ []

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  max_charsets_ |

## Member Function Documentation

ACE_INLINE ACE_CDR::Short ACE_Codeset_Registry::get_max_bytes | ( | ACE_CDR::ULong | codeset_id | ) | `[static]`

ACE_CDR::Short ACE_Codeset_Registry::get_max_bytes_i | ( | ACE_CDR::ULong | codeset_id | ) | `[static, private]`

ACE_INLINE int ACE_Codeset_Registry::is_compatible | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CDR::ULong | other
| ) | `[static]`

int ACE_Codeset_Registry::is_compatible_i | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CDR::ULong | other
| ) | `[static, private]`

ACE_INLINE int ACE_Codeset_Registry::locale_to_registry | ( | const ACE_CString & | locale,
|  | ACE_CDR::ULong & | codeset_id,
|  | ACE_CDR::UShort * | = 0,
|  | ACE_CDR::UShort ** | = 0
| ) | `[static]`

int ACE_Codeset_Registry::locale_to_registry_i | ( | const ACE_CString & | locale,
|  | ACE_CDR::ULong & | codeset_id,
|  | ACE_CDR::UShort * | = 0,
|  | ACE_CDR::UShort ** | = 0
| ) | `[static, private]`

ACE_INLINE int ACE_Codeset_Registry::registry_to_locale | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CString & | locale,
|  | ACE_CDR::UShort * | = 0,
|  | ACE_CDR::UShort ** | = 0
| ) | `[static]`

int ACE_Codeset_Registry::registry_to_locale_i | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CString & | locale,
|  | ACE_CDR::UShort * | = 0,
|  | ACE_CDR::UShort ** | = 0
| ) | `[static, private]`

## Member Data Documentation

size_t ACE_Codeset_Registry::num_registry_entries_ = 4`[static, private]`

ACE_Codeset_Registry::registry_entry ACE_Codeset_Registry::registry_db_`[static, private]`

| Initial value:
    {
      {"ISO 8859-1:1987; Latin Alphabet No. 1","ASCII",0x00010001,1,{0x0011},1},
      {"IBM-1047 (CCSID 01047); Latin-1 Open System","EBCDIC",0x10020417,1,{0x0011},1},
      {"ISO/IEC 10646-1:1993; UCS-4, Level 1","UCS-4",0x00010104,1,{0x1000},4},
      {"ISO/IEC 10646-1:1993; UTF-16, UCS Transformation Format 16-bit form","Unicode",0x00010109,1,{0x1000},2}
    }

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Codeset_Registry.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Codeset_Registry.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Codeset_Registry.inl
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Codeset_Registry_db.cpp